
#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Check_Button.H>

static void callback(Fl_Widget *me_, void *you_) {
  Fl_Button *me  = (Fl_Button *) me_;
  Fl_Button *you = (Fl_Button *) you_;
  you->value(me->value());
}

int main() {
  Fl_Window win(200,30,"Render Bug");
  win.begin();
  Fl_Check_Button b0(  0,0,100,30,"Button 0");
  Fl_Check_Button b1(100,0,100,30,"Button 1");
  b0.callback(callback,&b1);
  b1.callback(callback,&b0);
  win.end();
  win.show();
  return Fl::run();
}
